# FairMQ: fair::mq::zmq::Context Class Reference

fair::mq::zmq::Context Class Reference

## Public Member Functions

| Context (int numIoThreads)
| Context (const Context &)=delete
Context | operator= (const Context &)=delete
void | SubscribeToRegionEvents (RegionEventCallback callback)
bool | SubscribedToRegionEvents () const
void | UnsubscribeFromRegionEvents ()
void | RegionEventsSubscription ()
std::vector< RegionInfo > | GetRegionInfo () const
uint16_t | RegionCount () const
void | AddRegion (bool managed, uint16_t id, void *ptr, size_t size, int64_t userFlags, RegionEvent event)
void | RemoveRegion (uint16_t id)
void | Interrupt ()
void | Resume ()
void | Reset ()
bool | Interrupted ()
void * | GetZmqCtx ()

The documentation for this class was generated from the following file:

- fairmq/zeromq/Context.h

privacy